/***

  Pellet class

***/

#ifndef _PELLET_H_
#define _PELLET_H_

#include "DisplayInterface.h"
#include "Globals.h"
#include "World.h"
#include "Object.h"

class Pellet : public Object {
public:

	// constructor
	Pellet( DisplayInterface &d, int x, int y, bool super );
	
	// returns object identity
	virtual int identify( );

	// takes a turn to act in the world
	virtual bool act( DisplayInterface &d, World *w, int x, int y, int time );

	// disappears from the world
	virtual void die( DisplayInterface &d, World *w, int x, int y );

	// shows the object at its spot in the world
	virtual void show( DisplayInterface &d, World *w, int x, int y );

	// interface to get to is_super variable
	virtual bool is_super( ) const;

private:

	bool super_pellet;

};

#endif